Subject: Re: bug#51605: Fwd: [PATCH] Update themes to support mode-line

From: Stefan Kangas <[email-masked]>
Date: Sun, 5 Dec 2021 22:49:44 +0100

Eli Zaretskii <[email-masked]> writes:

> I don't think we should change defaults of the faces because someone
> prefers to have them look differently.  Faces can be easily
> customized, so people who don't like the defaults can have the faces
> they like very easily.

Me neither.  I think they should change if the new proposal is better.
I'm personally not married to it as I only use display-line-numbers-mode
occasionally (and can indeed customize it locally), but I think it's a
good idea.  In particular, I like the functional aspect of it: you are
less likely to mix up the buffer text with the line number indication
when scanning quickly, and it is easier to see which line you are on
with a subtle color difference on the line number.

Perhaps it could make sense to ask people on emacs-devel or maybe even
do one of our never criticized 30 days experiment on master to give
people a feel for the change before deciding anything.